Subject: Re: Crash in ns_index_color (nsterm.m:1305)

From: Ben Lowery <[email-masked]>
Date: Thu, 18 Jun 2009 11:04:44 -0400

Yup, I am using color-theme. I've attached the theme I'm using.

On Thu, Jun 18, 2009 at 10:58 AM, David Reitter<[email-masked]> wrote:
> Forwarding a crash report.
> nsterm.m:1305, in the given revision, is the line marked:
>
>  {
>    int i;
>    for (i = 1; i < color_table->avail; i++)
>      {
> *****        if (color_table->colors[i] && [color_table->colors[i] isEqual:
> color])
>          {
>            [color_table->colors[i] retain];
>            return i;
>          }
>      }
>  }
>
> Btw, why are we managing this table ourselves rather than using an
> appropriate NS class?  It seems like we're defining our own ns_color_table
> structure anyways...
>
> Ben, I wonder if you're using color themes or something else that defines a
> lot of different colors.
>
> - D
>
>
> Begin forwarded message:
>
>> From: Ben Lowery <[email-masked]>
>> Date: June 18, 2009 10:43:00 AM EDT
>> To: Development of Aquamacs Emacs <[email-masked]>
>> Subject: [Aquamacs-devel] Crasher in ns_index_color (nsterm.m:1305)
>>
>> Attached is a crash log for Aquamacs, on
>> 3fa42d1a06357f8f65dff161524374f3feaaa3ac
>>
>> Happened as I was C-x C-f ing to open a file. Happens sporadically,
>> and I don't have a good repro case.
>>
>> -b
>
>> _______________________
>
>